NX Open C++ Reference Guide
|
Represents a @link Features::StyledSweep Features::StyledSweep@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateStyledSweepBuilder Features::FeatureCollection::CreateStyledSweepBuilder @endlink <br>
Default values. More...
Public Types | |
enum | FixedStringOptions { FixedStringOptionsGuide, FixedStringOptionsSection, FixedStringOptionsGuideAndSection } |
This enum represents the Fixed String option. More... | |
enum | ScalingMethodOptions { ScalingMethodOptionsUniform, ScalingMethodOptionsNonuniform, ScalingMethodOptionsScalingCurve } |
This enum represents the Scaling Method option. More... | |
enum | SectionOrientationOptions { SectionOrientationOptionsTranslate, SectionOrientationOptionsKeepAngle, SectionOrientationOptionsMakeNormal, SectionOrientationOptionsUserDefined, SectionOrientationOptionsArcLength } |
This enum represents the Section Orientation option. More... | |
enum | TransitionOptions { TransitionOptionsLinear, TransitionOptionsCubic, TransitionOptionsBlend } |
This enum represents the Transition option. More... | |
enum | Types { TypesOneGuide, TypesOneGuideOneTouch, TypesOneGuideOneOrientation, TypesTwoGuides } |
This enum represents the sweep type option (Number of Guides) More... | |
Public Member Functions | |
int | AlternateSolution () |
Returns the alternate solution. | |
NXOpen::GeometricUtilities::StyledSweepDoubleOnPathDimBuilder * | CreatePivotSet (double value1, double value2, NXOpen::Curve *path1, NXOpen::Curve *path2) |
Creates a new pivot set. | |
NXOpen::GeometricUtilities::RotationSetBuilder * | CreateRotationSet (double value, double pathPar, NXOpen::Curve *path) |
Creates a new rotation set. | |
NXOpen::GeometricUtilities::ScalingSetBuilder * | CreateScalingSet (double valuePar, double depthPar, double pathPar, NXOpen::Curve *path) |
Creates a new scaling set. | |
void | EndInsertingSection () |
Ends inserting section. | |
NXOpen::Section * | FirstGuide () |
Returns the first guide Created in NX6.0.0. | |
NXOpen::Features::StyledSweepBuilder::FixedStringOptions | FixedStringOption () |
Returns the fixed string option Created in NX6.0.0. | |
double | G0Tolerance () |
Returns the G0 (Position) tolerance. | |
double | G1Tolerance () |
Returns the G1 (Tangent) tolerance. | |
NXOpen::GeometricUtilities::Rebuild * | GuideRebuildData () |
Returns the guide rebuild data Created in NX6.0.0. | |
NXOpen::SectionList * | InsertedSectionList () |
Returns the list of inserted sections Created in NX6.0.0. | |
NXOpen::GeometricUtilities::StyledSweepDoubleOnPathDimBuilderList * | PivotSetList () |
Returns the list of pivot sets Created in NX6.0.0. | |
NXOpen::GeometricUtilities::StyledSweepReferenceMethodBuilder * | ReferenceMethod () |
Returns the reference method Created in NX6.0.0. | |
NXOpen::GeometricUtilities::RotationSetBuilderList * | RotationSetList () |
Returns the list of rotation sets Created in NX6.0.0. | |
NXOpen::Section * | ScalingCurve () |
Returns the scaling curve Created in NX6.0.0. | |
NXOpen::Features::StyledSweepBuilder::ScalingMethodOptions | ScalingMethodOption () |
Returns the scaling method option Created in NX6.0.0. | |
NXOpen::GeometricUtilities::ScalingSetBuilderList * | ScalingSetList () |
Returns the list of scaling sets Created in NX6.0.0. | |
NXOpen::Section * | SecondGuide () |
Returns the second guide Created in NX6.0.0. | |
NXOpen::SectionList * | SectionList () |
Returns the list of sections. | |
NXOpen::Features::StyledSweepBuilder::SectionOrientationOptions | SectionOrientationOption () |
Returns the section orientation option Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Rebuild * | SectionRebuildData () |
Returns the section rebuild data Created in NX6.0.0. | |
void | SetAlternateSolution (int alternateSolution) |
Sets the alternate solution. | |
void | SetFixedStringOption (NXOpen::Features::StyledSweepBuilder::FixedStringOptions fixedStringOption) |
Sets the fixed string option Created in NX6.0.0. | |
void | SetG0Tolerance (double g0Tolerance) |
Sets the G0 (Position) tolerance. | |
void | SetG1Tolerance (double g1Tolerance) |
Sets the G1 (Tangent) tolerance. | |
void | SetScalingMethodOption (NXOpen::Features::StyledSweepBuilder::ScalingMethodOptions scalingMethodOption) |
Sets the scaling method option Created in NX6.0.0. | |
void | SetSectionOrientationOption (NXOpen::Features::StyledSweepBuilder::SectionOrientationOptions sectionOrientationOption) |
Sets the section orientation option Created in NX6.0.0. | |
void | SetTransitionOption (NXOpen::Features::StyledSweepBuilder::TransitionOptions transitionOption) |
Sets the transition option Created in NX6.0.0. | |
void | SetType (NXOpen::Features::StyledSweepBuilder::Types type) |
Sets the sweep type Created in NX6.0.0. | |
void | StartInsertingSection (const std::vector< double > &insertPnt) |
Starts inserting section. | |
NXOpen::GeometricUtilities::SurfaceRangeBuilder * | SurfaceRange () |
Returns the surface range Created in NX6.0.0. | |
NXOpen::Features::StyledSweepBuilder::TransitionOptions | TransitionOption () |
Returns the transition option Created in NX6.0.0. | |
NXOpen::Features::StyledSweepBuilder::Types | Type () |
Returns the sweep type Created in NX6.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::StyledSweep Features::StyledSweep@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateStyledSweepBuilder Features::FeatureCollection::CreateStyledSweepBuilder @endlink <br>
Default values.
Property | Value |
---|---|
FixedStringOption |
Guide |
GuideRebuildData.Degree |
3 |
GuideRebuildData.RebuildType |
None |
ReferenceMethod.ReferenceOption |
ToGuide |
ScalingMethodOption |
Uniform |
SectionOrientationOption |
KeepAngle |
SectionRebuildData.Degree |
3 |
SectionRebuildData.RebuildType |
None |
SurfaceRange.AnchorPosition |
Vertex1 |
TransitionOption |
Blend |
Created in NX6.0.0.
This enum represents the Scaling Method option.
ScalingMethodOptionsUniform |
Uniform. |
ScalingMethodOptionsNonuniform |
Non-Uniform. |
ScalingMethodOptionsScalingCurve |
Scaling Curve. |
This enum represents the Section Orientation option.
SectionOrientationOptionsTranslate |
Translate. |
SectionOrientationOptionsKeepAngle |
Keep Angle. |
SectionOrientationOptionsMakeNormal |
Make Normal. |
SectionOrientationOptionsUserDefined |
User Defined. |
SectionOrientationOptionsArcLength |
Arc Length. |
int NXOpen::Features::StyledSweepBuilder::AlternateSolution | ( | ) |
Returns the alternate solution.
This property can be used only when Type is being set to 1 Guide/1 Guide 1 Touch/1 Guide 1 Orientation and orientation method is set to user_defined. For now, alternateSolution = 1, means automatically initial orientation, = 0, means no
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::StyledSweepDoubleOnPathDimBuilder* NXOpen::Features::StyledSweepBuilder::CreatePivotSet | ( | double | value1, |
double | value2, | ||
NXOpen::Curve * | path1, | ||
NXOpen::Curve * | path2 | ||
) |
Creates a new pivot set.
NXOpen::GeometricUtilities::RotationSetBuilder* NXOpen::Features::StyledSweepBuilder::CreateRotationSet | ( | double | value, |
double | pathPar, | ||
NXOpen::Curve * | path | ||
) |
Creates a new rotation set.
value | Rotation angle |
pathPar | Rotation position |
path | The path of on path dim |
NXOpen::GeometricUtilities::ScalingSetBuilder* NXOpen::Features::StyledSweepBuilder::CreateScalingSet | ( | double | valuePar, |
double | depthPar, | ||
double | pathPar, | ||
NXOpen::Curve * | path | ||
) |
Creates a new scaling set.
valuePar | Scaling value |
depthPar | Depth value |
pathPar | Depth position |
path | The path of on path dim |
void NXOpen::Features::StyledSweepBuilder::EndInsertingSection | ( | ) |
Ends inserting section.
The client should call this API whenever he finishes inserting a section.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Section* NXOpen::Features::StyledSweepBuilder::FirstGuide | ( | ) |
Returns the first guide
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StyledSweepBuilder::FixedStringOptions NXOpen::Features::StyledSweepBuilder::FixedStringOption | ( | ) |
Returns the fixed string option
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::StyledSweepBuilder::G0Tolerance | ( | ) |
Returns the G0 (Position) tolerance.
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::StyledSweepBuilder::G1Tolerance | ( | ) |
Returns the G1 (Tangent) tolerance.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::StyledSweepBuilder::GuideRebuildData | ( | ) |
Returns the guide rebuild data
Created in NX6.0.0.
License requirements : None
NXOpen::SectionList* NXOpen::Features::StyledSweepBuilder::InsertedSectionList | ( | ) |
Returns the list of inserted sections
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::StyledSweepDoubleOnPathDimBuilderList* NXOpen::Features::StyledSweepBuilder::PivotSetList | ( | ) |
Returns the list of pivot sets
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::StyledSweepReferenceMethodBuilder* NXOpen::Features::StyledSweepBuilder::ReferenceMethod | ( | ) |
Returns the reference method
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::RotationSetBuilderList* NXOpen::Features::StyledSweepBuilder::RotationSetList | ( | ) |
Returns the list of rotation sets
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::StyledSweepBuilder::ScalingCurve | ( | ) |
Returns the scaling curve
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StyledSweepBuilder::ScalingMethodOptions NXOpen::Features::StyledSweepBuilder::ScalingMethodOption | ( | ) |
Returns the scaling method option
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::ScalingSetBuilderList* NXOpen::Features::StyledSweepBuilder::ScalingSetList | ( | ) |
Returns the list of scaling sets
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::StyledSweepBuilder::SecondGuide | ( | ) |
Returns the second guide
Created in NX6.0.0.
License requirements : None
NXOpen::SectionList* NXOpen::Features::StyledSweepBuilder::SectionList | ( | ) |
Returns the list of sections.
At least 1 section is required.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StyledSweepBuilder::SectionOrientationOptions NXOpen::Features::StyledSweepBuilder::SectionOrientationOption | ( | ) |
Returns the section orientation option
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::StyledSweepBuilder::SectionRebuildData | ( | ) |
Returns the section rebuild data
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StyledSweepBuilder::SetAlternateSolution | ( | int | alternateSolution | ) |
Sets the alternate solution.
This property can be used only when Type is being set to 1 Guide/1 Guide 1 Touch/1 Guide 1 Orientation and orientation method is set to user_defined. For now, alternateSolution = 1, means automatically initial orientation, = 0, means no
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
alternateSolution | alternatesolution |
void NXOpen::Features::StyledSweepBuilder::SetFixedStringOption | ( | NXOpen::Features::StyledSweepBuilder::FixedStringOptions | fixedStringOption | ) |
Sets the fixed string option
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
fixedStringOption | fixedstringoption |
void NXOpen::Features::StyledSweepBuilder::SetG0Tolerance | ( | double | g0Tolerance | ) |
Sets the G0 (Position) tolerance.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
g0Tolerance | g0tolerance |
void NXOpen::Features::StyledSweepBuilder::SetG1Tolerance | ( | double | g1Tolerance | ) |
Sets the G1 (Tangent) tolerance.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
g1Tolerance | g1tolerance |
void NXOpen::Features::StyledSweepBuilder::SetScalingMethodOption | ( | NXOpen::Features::StyledSweepBuilder::ScalingMethodOptions | scalingMethodOption | ) |
Sets the scaling method option
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
scalingMethodOption | scalingmethodoption |
void NXOpen::Features::StyledSweepBuilder::SetSectionOrientationOption | ( | NXOpen::Features::StyledSweepBuilder::SectionOrientationOptions | sectionOrientationOption | ) |
Sets the section orientation option
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
sectionOrientationOption | sectionorientationoption |
void NXOpen::Features::StyledSweepBuilder::SetTransitionOption | ( | NXOpen::Features::StyledSweepBuilder::TransitionOptions | transitionOption | ) |
Sets the transition option
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
transitionOption | transitionoption |
void NXOpen::Features::StyledSweepBuilder::SetType | ( | NXOpen::Features::StyledSweepBuilder::Types | type | ) |
Sets the sweep type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
type | type |
void NXOpen::Features::StyledSweepBuilder::StartInsertingSection | ( | const std::vector< double > & | insertPnt | ) |
Starts inserting section.
The client should call this API whenever he starts inserting a section. According to the insert point, the application automatically computes the closed point on the current surface, then extracts an iso curve to create a UG curve and add this curve into the section. Note: After the client calls this API, he needs to create a pivot set, a rotation set, a scaling set and a Section in turn, then he needs to insert them to the corresponding set list separately.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
insertPnt | Insert point - the point on guide curve is better |
NXOpen::GeometricUtilities::SurfaceRangeBuilder* NXOpen::Features::StyledSweepBuilder::SurfaceRange | ( | ) |
Returns the surface range
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StyledSweepBuilder::TransitionOptions NXOpen::Features::StyledSweepBuilder::TransitionOption | ( | ) |
Returns the transition option
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StyledSweepBuilder::Types NXOpen::Features::StyledSweepBuilder::Type | ( | ) |
Returns the sweep type
Created in NX6.0.0.
License requirements : None